
/**
 * Methods that print in reverse the numbers inputted 
 * 
 * @author John Paul Vergara
 * @version 08/24/2005
 */
public class ReverseDemo
{
    public void print3Reverse()
    {
        int num1;
        int num2;
        int num3;
        
        num1 = Input.readInt();
        num2 = Input.readInt();
        num3 = Input.readInt();
        
        System.out.println( num3 );
        System.out.println( num2 );
        System.out.println( num1 );
    }
    
    private static final int MAX = 5;
    
    public void printReverse()
    {
        int [] nums;
        int i;
        
        nums = new int[MAX];
        
        for( i = 0; i < MAX; i++ )
        {
            nums[i] = Input.readInt();
        }
        
        for( i = MAX-1; i >= 0; i-- )
        {
            System.out.println( nums[i] );
        }
    }
    
    public void printReverse( int size )
    {
        int [] nums;
        int i;
        
        nums = new int[size];
        
        for( i = 0; i < size; i++ )
        {
            nums[i] = Input.readInt();
        }
        
        for( i = size-1; i >= 0; i-- )
        {
            System.out.println( nums[i] );
        }
    }
    
}
